set on_failure_script_quits 1
set pp_list "cpp"
set ocra_discrete_time 1
set dynamic_reorder
set counter_examples 0

read_model -i nominal.smv
go_bmc


# Expand contracts props
check_ltlspec_klive -P system_inst.ac_1.AC_maintain_intention_ts_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_1.AC_maintain_intention_ss_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_2.AC_maintain_intention_ts_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_2.AC_maintain_intention_ss_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_3.AC_maintain_intention_ts_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_3.AC_maintain_intention_ss_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_4.AC_maintain_intention_ts_self_norm_guarantee
check_ltlspec_klive -P system_inst.ac_4.AC_maintain_intention_ss_self_norm_guarantee

check_ltlspec_klive -P system_inst.ac_1.AC_request_ground_ts_norm_guarantee
check_ltlspec_klive -P system_inst.ac_1.AC_request_ground_ss_norm_guarantee
check_ltlspec_klive -P system_inst.ac_2.AC_request_ground_ts_norm_guarantee
check_ltlspec_klive -P system_inst.ac_2.AC_request_ground_ss_norm_guarantee
check_ltlspec_klive -P system_inst.ac_3.AC_request_ground_ts_norm_guarantee
check_ltlspec_klive -P system_inst.ac_3.AC_request_ground_ss_norm_guarantee
check_ltlspec_klive -P system_inst.ac_4.AC_request_ground_ts_norm_guarantee
check_ltlspec_klive -P system_inst.ac_4.AC_request_ground_ss_norm_guarantee


# ATC Contracts
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_4_ss_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_3_ss_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_2_ss_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_1_ss_norm_guarantee

check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_4_ts_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_3_ts_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_2_ts_norm_guarantee
check_ltlspec_klive -P system_inst.atc.ATC_valid_resolutions_ac_1_ts_norm_guarantee

check_ltlspec_klive -P system_inst.atc.ATC_nop_to_self_separating_norm_guarantee

check_invar_ic3 -P system_inst.AC-Apply-Near-INVAR
check_invar_ic3 -P system_inst.AC-Apply-Mid-INVAR
check_invar_ic3 -P system_inst.AC-Apply-Far-INVAR
check_invar_ic3 -P system_inst.AC-Apply-PRE

show_property -o validation.out
quit
